Bug 92151 - [chromium] Use the event bounding box when constructing a PlatformEvent::GestureTap
Summary: [chromium] Use the event bounding box when constructing a PlatformEvent::Gest...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Terry Anderson
URL:
Keywords:
Depends on: 92144
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 12:51 PDT by Terry Anderson
Modified: 2012-07-31 19:04 PDT (History)
7 users (show)

See Also:


Attachments
Patch (1.65 KB, patch)
2012-07-30 16:40 PDT, Terry Anderson
no flags Details | Formatted Diff | Diff
Patch (2.59 KB, patch)
2012-07-30 16:50 PDT, Terry Anderson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Terry Anderson 2012-07-24 12:51:54 PDT
When constructing a PlatformEvent::GestureTap in WebInputEventConversion.cpp, use |boundingBox| instead of |deltaX| and |deltaY| when specifying |m_area|.
Comment 1 Terry Anderson 2012-07-30 16:40:45 PDT
Created attachment 155397 [details]
Patch
Comment 2 Terry Anderson 2012-07-30 16:50:06 PDT
Created attachment 155399 [details]
Patch
Comment 3 WebKit Review Bot 2012-07-30 16:52:11 PDT
Please wait for approval from abarth@webkit.org, dglazkov@chromium.org, fishd@chromium.org, jamesr@chromium.org or tkent@chromium.org before submitting, as this patch contains changes to the Chromium public API. See also https://trac.webkit.org/wiki/ChromiumWebKitAPI.
Comment 4 WebKit Review Bot 2012-07-31 19:04:44 PDT
Comment on attachment 155399 [details]
Patch

Clearing flags on attachment: 155399

Committed r124283: <http://trac.webkit.org/changeset/124283>
Comment 5 WebKit Review Bot 2012-07-31 19:04:49 PDT
All reviewed patches have been landed.  Closing bug.